std::mem_fun1_t< _Ret, _Tp, _Arg >(3cxx)

NAME
std::mem_fun1_t< _Ret, _Tp, _Arg > - One of the adaptors for member pointers.

SYNOPSIS

#include <stl_function.h>

Inherits std::binary_function< _Tp *, _Arg, _Ret >.

  Public Types

typedef _Tp * first_argument_type
first_argument_type is the type of the first argument
typedef _Ret result_type
result_type is the return type
typedef _Arg second_argument_type
second_argument_type is the type of the second argument

  Public Member Functions

mem_fun1_t (_Ret(_Tp::*__pf)(_Arg))
_Ret operator() (_Tp *__p, _Arg __x) const

Detailed Description

  template<typename _Ret, typename _Tp, typename _Arg>
class std::mem_fun1_t< _Ret, _Tp, _Arg >"One of the adaptors for member pointers.

Member Typedef Documentation

  typedef _Tp * std::binary_function< _Tp *, _Arg, _Ret >::first_argument_type [inherited]

first_argument_type is the type of the first argument

  typedef _Ret std::binary_function< _Tp *, _Arg, _Ret >::result_type [inherited]

result_type is the return type

  typedef _Arg std::binary_function< _Tp *, _Arg, _Ret >::second_argument_type [inherited]

second_argument_type is the type of the second argument

Author

Generated automatically by Doxygen for libstdc++ from the source code.